<?php
/**
 * Template part for displaying results in single page
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package ismoderna
 */

?>
<div id="post-<?php the_ID(); ?>" class="blog-deatil">
    <?php if( has_post_thumbnail() ){ ?>
        <div class="blog-detail-img"><?php the_post_thumbnail( ); ?></div>
    <?php } ?>
    <div class="blog-detail-content">
        <h3 class="blog-detail-title"><?php the_title(); ?></h3>
        <ul class="detail-meta-tag">
           <li><i class="fas fa-calendar"></i> <?php the_date(); ?></li>
           <li><a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>"><i class="fas fa-user"></i><?php echo esc_html( get_the_author() ) ?></a></li>
           <li><i class="fas fa-comments icon"></i> <?php comments_number(); ?> </li>
           <?php if(has_tag()){ ?>
                <li><i class="fas fa-tag icon"></i> <?php the_tags('',' , '); ?></li>
            <?php } ?>
        </ul>
        <?php the_content(); 
        wp_link_pages( 
        array(
            'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'ismoderna' ),
            'after'  => '</div>',
        ) 
        );?>
    </div>
</div>