<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package ismoderna
 */

get_header();
?>

	<div class="page-not-found ws-section-spacing">
	    <div class="container">
	        <div class="row">
	            <div class="col-md-12 no-data">
	                <h2><?php echo esc_html__('404', 'ismoderna') ?></h2>
	                <h3><?php echo esc_html__('oOPss', 'ismoderna') ?></h3>
	                <h4><?php echo esc_html__('PAGE NOT FOUND', 'ismoderna') ?></h4>
	                <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="send-btn"><?php echo esc_html__('Back To Home', 'ismoderna') ?></a>
	            </div>
	        </div>
	    </div>
	</div>
<?php get_footer(); ?>