<?php
/**
 * Template part for displaying page content in page.php
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package ismoderna
 */

?>

<div id="post-<?php the_ID(); ?>" <?php post_class('singlepage'); ?>>
    <h3 class="blog-detail-title"><?php the_title(); ?></h3>
    <?php if( has_post_thumbnail() ){ ?>
        <?php the_post_thumbnail(); ?>
        
    <?php } ?>

    <?php the_content(); 
    wp_link_pages( 
        array(
            'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'ismoderna' ),
            'after'  => '</div>',
        ) 
    );
    ?>
</div>